"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_1 = tslib_1.__importDefault(require("fs"));
const os_1 = require("os");
const path = tslib_1.__importStar(require("path"));
function getConfigFilePath() {
    let configDir;
    if (process.env.HMD_CLI_CONFIG_DIR) {
        configDir = process.env.HMD_CLI_CONFIG_DIR || '';
    }
    else {
        configDir = path.join(os_1.homedir(), '.hackmd');
    }
    return path.join(configDir, 'config.json');
}
exports.getConfigFilePath = getConfigFilePath;
function setAccessTokenConfig(token) {
    const configFilePath = getConfigFilePath();
    const newConfigFile = require(configFilePath);
    newConfigFile.accessToken = token;
    fs_1.default.writeFile(configFilePath, JSON.stringify(newConfigFile, null, 2), function (err) {
        if (err) {
            throw err;
        }
    });
}
exports.setAccessTokenConfig = setAccessTokenConfig;
function safeStdinRead() {
    let result;
    try {
        result = fs_1.default.readFileSync(process.stdin.fd).toString();
    }
    catch (_a) { }
    return result;
}
exports.safeStdinRead = safeStdinRead;
